<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateConfirmacionesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('confirmaciones', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('libro');
            $table->string('folio');
            $table->string('partida');
            $table->integer('church_id')->unsigned();
            $table->integer('sacramento_id')->unsigned();
            $table->date('fecha');
            $table->string('nombre');
            $table->string('apellido_paterno');
            $table->string('apellido_materno');
            

            $table->string('nombre_padre');
            $table->string('apellido_paterno_padre');
            $table->string('apellido_materno_padre');

            $table->string('nombre_madre');
            $table->string('apellido_paterno_madre');
            $table->string('apellido_materno_madre');

            $table->string('nombre_padrino');
            $table->string('apellido_paterno_padrino');
            $table->string('apellido_materno_padrino');

            $table->string('nombre_madrina');
            $table->string('apellido_paterno_madrina');
            $table->string('apellido_materno_madrina');


            $table->integer('sacerdote_id')->unsigned();
            $table->integer('parroco_id')->unsigned();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('confirmaciones');
    }
}
